<?php

namespace Drupal\Tests\bakery\Functional;

use Drupal\Core\Session\AnonymousUserSession;
use Drupal\Core\Url;

/**
 * @group bakery
 */
class ChildSiteTestBase extends BakerySiteTestBase {

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * {@inheritdoc}
   */
  public function setUp(): void {
    parent::setUp();
    $this->config('bakery.settings')
      ->set('bakery_is_parent', 0)
      ->save();
    $this->container->get('router.builder')->rebuild();
  }

  /**
   * Logs a user out of the Mink controlled browser and confirms.
   *
   * Confirms logout by checking the login page.
   */
  protected function drupalLogout() {
    // Assertions in the parent method won't work because logins are disabled
    // so just skip them.
    $this->drupalGet(Url::fromRoute('user.logout'));
    // @see BrowserTestBase::drupalUserIsLoggedIn()
    unset($this->loggedInUser->sessionId);
    \Drupal::currentUser()->setAccount(new AnonymousUserSession());
  }

}
